summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-13 01:01:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:01:07 +0200
commite2e6713f8cb15fc6fe7bde7ee06e68a72ea67c31 (patch)
treee0a9eded3cf243d0bf6103dd439a95f6e7cac70c
parentbe69bc9ce7b3e45414f86bfcc3ed1c30447e908d (diff)
downloadslackbuilds-e2e6713f8cb15fc6fe7bde7ee06e68a72ea67c31.tar.gz
slackbuilds-e2e6713f8cb15fc6fe7bde7ee06e68a72ea67c31.tar.xz
system/safecopy: Added to 13.0 repository
-rw-r--r--system/safecopy/README3
-rw-r--r--system/safecopy/safecopy.SlackBuild98
-rw-r--r--system/safecopy/safecopy.info10
-rw-r--r--system/safecopy/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/system/safecopy/README b/system/safecopy/README
new file mode 100644
index 0000000000..291c092666
--- /dev/null
+++ b/system/safecopy/README
@@ -0,0 +1,3 @@
+safecopy is a data recovery tool which tries to extract as much data as
+possible from a problematic (i.e. damaged sectors) source - like floppy
+drives, hard disk partitions, CDs, tape devices.
diff --git a/system/safecopy/safecopy.SlackBuild b/system/safecopy/safecopy.SlackBuild
new file mode 100644
index 0000000000..3ac7366ed7
--- /dev/null
+++ b/system/safecopy/safecopy.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware Package Build Script for safecopy
+# Home Page http://safecopy.sourceforge.net/
+
+# Copyright (c) 2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=safecopy
+VERSION=1.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+### strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null ||true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+### compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING AUTHORS README INSTALL NEWS specification.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/safecopy/safecopy.info b/system/safecopy/safecopy.info
new file mode 100644
index 0000000000..49da562195
--- /dev/null
+++ b/system/safecopy/safecopy.info
@@ -0,0 +1,10 @@
+PRGNAM="safecopy"
+VERSION="1.6"
+HOMEPAGE="http://safecopy.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/safecopy/safecopy/safecopy-1.6/safecopy-1.6.tar.gz"
+MD5SUM="f07433c4a7b8cb1d0c5a57d42007d1fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/system/safecopy/slack-desc b/system/safecopy/slack-desc
new file mode 100644
index 0000000000..90e6bbfb57
--- /dev/null
+++ b/system/safecopy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+safecopy: safecopy (data recovery tool)
+safecopy:
+safecopy: Safecopy is a data recovery tool which tries to extract as much
+safecopy: data as possible from a problematic (i.e.damaged sectors) sources
+safecopy: like floppy drives, hard disk partitions, CDs, tape devices etc.
+safecopy: Program claims to be useful in situations where other tools like
+safecopy: dd would fail due to I/O errors.
+safecopy: Safecopy is released under GNU GPL v2 (or higher).
+safecopy:
+safecopy: Homepage: http://safecopy.sourceforge.net/
+safecopy: